<?
include 'mysql.php';
include 'inclydings/sesi.php';

include_once("inclydings/antixak.php");
include 'inclydings/ini.php';
include 'inclydings/header.php';
/////////////////////////////////////////////////////
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);
$password=trim($udata[1]);
}
////////////////////////////////////////////////////////

if (isset($user)) {
include_once("inclydings/udata.php");

if($udata[9]<"76"){echo"Професия доступна только с 76 уровня."; include_once"inclydings/down.php"; exit;}

if($udata[27]!=="fighert"){
echo"Ошибка.";
include_once"inclydings/down.php"; exit;}
$file = @file("L2dbnam/esql2db/item/$log.dat");
$total = count($file);

for ($i = 0; $i < $total; $i++){

$file = @file("L2dbnam/esql2db/item/$log.dat");
$file = array_reverse($file);
$data = explode(":||:",$file[$i]);



if($data[4]=="Beast Bone" && $data[3]>="75"){
if($udata[95]<"15000"){echo"У вас не хватает <img src='pik4erspic/mini/gold1.png' alt='pic'/> голдов, нужно 15,000 голд"; include 'inclydings/down.php'; exit;}
echo"Молодец ты уже принес мне 75 Beast Bone! Теперь тебе доступна новая магия, что бы изучить её иди в храм и подойди к магистру, он тебе все расскажет! Ты скажешь почему я не забираю у тебя Beast Bone? А мне уже много принесли до тебя =) Иди продай его и купи себе новые вещи.";


$fal = @file("L2dbnam/esql2db/reg/$log.dat");
$udata = explode(":||:",$fal[0]);
$udata[95]=$udata[95]-15000;
$udata[33]="Gladiator";
$textus=$udata[0].':||:'.$udata[1].':||:'.$udata[2].':||:'.$udata[3].':||:'.$udata[4].':||:'.$udata[5].':||:'.$udata[6].':||:'.$udata[7].':||:'.$udata[8].':||:'.$udata[9].':||:'.$udata[10].':||:'.$udata[11].':||:'.$udata[12].':||:'.$udata[13].':||:'.$udata[14].':||:'.$udata[15].':||:'.$udata[16].':||:'.$udata[17].':||:'.$udata[18].':||:'.$udata[19].':||:'.$udata[20].':||:'.$udata[21].':||:'.$udata[22].':||:'.$udata[23].':||:'.$udata[24].':||:'.$uzer.':||:'.$udata[26].':||:'.$udata[27].':||:'.$udata[28].':||:'.$udata[29].':||:'.$udata[30].':||:'.$udata[31].':||:'.$udata[32].':||:'.$udata[33].':||:'.$udata[34].':||:'.$udata[35].':||:'.$udata[36].':||:'.$udata[37].':||:'.$udata[38].':||:'.$udata[39].':||:'.$udata[40].':||:'.$udata[41].':||:'.$udata[42].':||:'.$udata[43].':||:'.$udata[44].':||:'.$udata[45].':||:'.$udata[46].':||:'.$udata[47].':||:'.$udata[48].':||:'.$udata[49].':||:'.$udata[50].':||:'.$udata[51].':||:'.$udata[52].':||:'.$udata[53].':||:'.$udata[54].':||:'.$udata[55].':||:'.$udata[56].':||:'.$udata[57].':||:'.$udata[58].':||:'.$udata[59].':||:'.$udata[60].':||:'.$udata[61].':||:'.$udata[62].':||:'.$udata[63].':||:'.$udata[64].':||:'.$udata[65].':||:'.$udata[66].':||:'.$udata[67].':||:'.$udata[68].':||:'.$udata[69].':||:'.$udata[70].':||:'.$udata[71].':||:'.$udata[72].':||:'.$udata[73].':||:'.$udata[74].':||:'.$udata[75].':||:'.$udata[76].':||:'.$udata[77].':||:'.$udata[78].':||:'.$udata[79].':||:'.$udata[80].':||:'.$udata[81].':||:'.$udata[82].':||:'.$udata[83].':||:'.$udata[84].':||:'.$udata[85].':||:'.$udata[86].':||:'.$udata[87].':||:'.$udata[88].':||:'.$udata[89].':||:'.$udata[90].':||:'.$udata[91].':||:'.$udata[92].':||:'.$udata[93].':||:'.$udata[94].':||:'.$udata[95].':||:'.$udata[96].':||:'.$udata[97].':||:'.$udata[98].':||:'.$udata[99].':||:'.$udata[100].':||:';
$fp=fopen("L2dbnam/esql2db/reg/$log.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,"$textus");
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);

include_once"inclydings/down.php"; exit;


}
}
if($udata[33]!=="Gladiator"){

echo"Gladiator - Если вы увидите воина, который крепко сжимает в каждой руке по мечу, знайте — перед вами один из опаснейших противников, Гладиатор. Это единственный класс, который достиг небывалых высот в использовании двух мечей. Он обучен многочисленным приемам, позволяющим ему наиболее эффективно атаковать противника на высокой скорости. <br>Что бы доказать что ты достоин профессии Gladiator ты должен мне принести 75 штук Beast Bone, и заплатить 15,000 <img src='pik4erspic/mini/gold1.png' alt='pic'/>.";}


}else{echo"Пароль или логин неверен!";}

include_once"inclydings/down.php";
?>